Gtk2::Gdk::PixbufFormat(3)

NAME
Gtk2::Gdk::PixbufFormat

DESCRIPTION
A "Gtk2::Gdk::PixbufFormat" has the following format information fields, eg. "$format->{'name'}",

    name            string
    description     string
    mime_types      arrayref of strings
    extensions      arrayref of strings, eg. ['jpg','jpeg']
    is_writable     0 or 1
    is_scalable     0 or 1    # in Gtk 2.6 up
    is_disabled     0 or 1    # in Gtk 2.6 up
    license         string    # in Gtk 2.6 up

METHODS

  $format->set_disabled ($disabled)

•   $disabled (boolean)

Note that any change caused by this method will not immediately affect $format->{is_disabled}. You need to refetch the format in order to see the new value.

Since: gtk+ 2.6

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.